AspectRatios = 
{
        ThreeFour   = 0.75,	--  (576x760 at 1024x768)
        OneOne      = 1.0,	--  480x480 (uses Y)
        FiveFour    = 1.25,	--* 600x480 (1280x1024 is a real use)
        FourThree   = 1.33333,	--* 640x480
        SixteenTen  = 1.6,	--* 720x480
        SixteenNine = 1.77778,	--* 854x480
        EightThree  = 2.66667,	--  1280x480
};

local curAspect = round(GetScreenAspectRatio(),5);
for E,v in pairs(AspectRatios) do
        if AspectRatios[E] == curAspect then
		if E == "SixteenNine" then
			bg = "RE 16-9";
		elseif E == "SixteenTen" then
			bg = "RE 16-10";
		elseif E == "FourThree" then
			bg = "RE 4-3";
		elseif E == "FiveFour" then
			bg = "RE 5-4";
		else
			bg = "RE 1-1";
		end;
        end;
end;

local ZE = Def.ActorFrame {};

ZE[#ZE+1] = LoadActor(bg)..
{
	OnCommand=cmd(Center;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
};

return ZE;