AspectRatios = 
{
        ThreeFour   = 0.75,	--  (576x760 at 1024x768)
        OneOne      = 1.0,	--  480x480 (uses Y)
        FiveFour    = 1.25,	--* 600x480 (1280x1024 is a real use)
        FourThree   = 1.33333,	--* 640x480
        SixteenTen  = 1.6,	--* 720x480
        SixteenNine = 1.77778,	--* 854x480
        EightThree  = 2.66667,	--  1280x480
};

local curAspect = round(GetScreenAspectRatio(),5);
for A,v in pairs(AspectRatios) do
        if AspectRatios[A] == curAspect then
		if A == "SixteenNine" then
			bg = "../ANIMATE/A1 16-9";
		elseif A == "SixteenTen" then
			bg = "../ANIMATE/A1 16-10";
		elseif A == "FourThree" then
			bg = "../ANIMATE/A1 4-3";
		elseif A == "FiveFour" then
			bg = "../ANIMATE/A1 5-4";
		else
			bg = "../ANIMATE/A1 1-1";
		end;
        end;
end;

local t = Def.ActorFrame
{
	LoadActor(bg)..
	{
		OnCommand=cmd(Center;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
	};
	LoadActor("../RoundGREEN")..
	{
		OnCommand=cmd(Center;blend,"BlendMode_Add"; zoom,1; sleep,6.475;decelerate,0.863; zoom,0);
	};
	LoadActor("../RoundYELLOW")..
	{
		OnCommand=cmd(Center;blend,"BlendMode_Add"; zoom,0; sleep,6.475;decelerate,0.863; zoom,1; sleep,5.612; decelerate,0.432; zoom,0);
	};
};

return t;