AspectRatios = 
{
        ThreeFour   = 0.75,	--  (576x760 at 1024x768)
        OneOne      = 1.0,	--  480x480 (uses Y)
        FiveFour    = 1.25,	--* 600x480 (1280x1024 is a real use)
        FourThree   = 1.33333,	--* 640x480
        SixteenTen  = 1.6,	--* 720x480
        SixteenNine = 1.77778,	--* 854x480
        EightThree  = 2.66667,	--  1280x480
};

local curAspect = round(GetScreenAspectRatio(),5);
for A,v in pairs(AspectRatios) do
        if AspectRatios[A] == curAspect then
		if A == "SixteenNine" then
			bg = "../ANIMATE/A2 16-9";
		elseif A == "SixteenTen" then
			bg = "../ANIMATE/A2 16-10";
		elseif A == "FourThree" then
			bg = "../ANIMATE/A2 4-3";
		elseif A == "FiveFour" then
			bg = "../ANIMATE/A2 5-4";
		else
			bg = "../ANIMATE/A2 1-1";
		end;
        end;
end;

local t = Def.ActorFrame
{
	LoadActor(bg)..
	{
		OnCommand=cmd(Center;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
	};
	LoadActor("../ATOM2 Dark")..
	{
		OnCommand=cmd(Center;rotationy,180;blend,"BlendMode_Add"; spin;effectmagnitude,0,0,-180;diffusealpha,1; sleep,3.453; diffusealpha,0);
	};
	LoadActor("../ATOM1 Dark")..
	{
		OnCommand=cmd(Center;blend,"BlendMode_Add"; spin;effectmagnitude,0,0,-180;diffusealpha,0; sleep,3.453; diffusealpha,1);
	};
};

return t;